# /etc/tryton/trytond.conf - Logging configuration file for Tryton Server (trytond)
#
# This file contains settings for trytond to rotate logs daily and
# to keep 30 logs.
# For more information install the tryton-server-doc package and read
# /usr/share/doc/tryton-server-doc/html/index.html
# and accordingly
# /usr/share/doc/tryton-server-doc/html/topics/logs.html

[formatters]
keys=simple

[handlers]
keys=rotate

[loggers]
keys=root

[formatter_simple]
format=%(asctime)s] %(levelname)s:%(name)s:%(message)s
datefmt=%a %b %d %H:%M:%S %Y

[handler_rotate]
class=handlers.TimedRotatingFileHandler
args=('/var/log/tryton/trytond.log', 'D', 1, 30)
formatter=simple

[logger_root]
# Available logging levels are DEBUG, INFO, WARNING, ERROR, CRITICAL
level=ERROR
handlers=rotate
